POST /Resource/File/{id}/

Stores binary file data for different types of files. This API call expects form files inside the request body.
 

Request

Method Request URI
POST /API/Resource/File/{id}/?projectId=value&resourceType=value&parentFolderId=value&sessionId=value

URI Parameters

URI Parameter Description
projectId The project ID.
resourceType Type of the resource. The only accepted types are Dundas.BI.ObjectType.ImageResource, Dundas.BI.ObjectType.DataResource, Dundas.BI.ObjectType.MapResource and Dundas.BI.ObjectType.DiagramResource. However if the file types are not known ahead of time then Dundas.BI.ObjectType.Unknown can be used and the type will attempt to be detected from the file extension. See Dundas.BI.ObjectType for more details.
parentFolderId The parent folder's ID.
sessionId The ID of the session. Specifying via an Authorization request header instead is recommended.

Path Parameters

Path Parameter Description
id The ID of the resource if this is an update call.

Request Headers

Authorization: Bearer <Current session ID>

Request Body

This API call expects form files inside the request body. This API call only supports MIME multipart content - for more information see: https://www.w3.org/Protocols/rfc1341/7_2_Multipart.html

Response

Response Body

An array of Dundas.BI.WebApi.Models.FileData objects, or a status code indicating a problem, or an empty array if no results were found.